From 3a4d3fc3f2f24b873d881567bae34fe59d165e6e Mon Sep 17 00:00:00 2001
From: Ariadne Conill <ariadne@dereferenced.org>
Date: Sun, 25 Oct 2020 13:54:25 -0600
Subject: [PATCH] add stub utmp.h

---
 src/include/utmps/utmp.h | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 src/include/utmps/utmp.h

diff --git a/src/include/utmps/utmp.h b/src/include/utmps/utmp.h
new file mode 100644
index 0000000..ccd0cee
--- /dev/null
+++ b/src/include/utmps/utmp.h
@@ -0,0 +1,35 @@
+/* ISC license. */
+
+#ifndef UTMPS_UTMP_H
+#define UTMPS_UTMP_H
+
+#include <utmpx.h>
+
+/* Unused, but some packages require this macro to be present */
+#define UTMP_FILE UTMPX_FILE
+#define WTMP_FILE "/var/log/wtmp"
+#define UTMP_FILENAME UTMP_FILE
+#define WTMP_FILENAME WTMP_FILE
+#define _PATH_UTMP UTMP_FILE
+#define _PATH_WTMP WTMP_FILE
+
+struct lastlog
+{
+  time_t ll_time ;
+  char ll_line[UTMPS_UT_LINESIZE] ;
+  char ll_host[UTMPS_UT_HOSTSIZE] ;
+} ;
+
+#define utmp utmpx
+
+#define endutent endutxent
+#define setutent setutxent
+#define getutent getutxent
+#define getutid getutxid
+#define getutline getutxline
+#define pututline pututxline
+
+#define utmpname utmpxname
+#define updwtmp updwtmpx
+
+#endif
-- 
2.29.1

